package com.ruixuan.launch.service;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.launch.entity.KuaishouLaunchCampaign;

import java.util.List;

/**
 * 广告计划信息Service接口
 *
 * @author ruoyi
 * @date 2022-06-23
 */
public interface IKuaishouLaunchCampaignService
{
    /**
     * 查询广告计划信息
     *
     * @param id 广告计划信息主键
     * @return 广告计划信息
     */
    public KuaishouLaunchCampaign selectKuaishouLaunchCampaignById(String id);

    /**
     * 查询广告计划信息列表
     *
     * @param kuaishouLaunchCampaign 广告计划信息
     * @return 广告计划信息集合
     */
    public List<KuaishouLaunchCampaign> selectKuaishouLaunchCampaignList(KuaishouLaunchCampaign kuaishouLaunchCampaign);

    /**
     * 新增广告计划信息
     *
     * @param kuaishouLaunchCampaign 广告计划信息
     * @return 结果
     */
    public Long insertKuaishouLaunchCampaign(JSONObject requestJson, String token);

    /**
     * 修改广告计划信息
     *
     * @param kuaishouLaunchCampaign 广告计划信息
     * @return 结果
     */
    public int updateKuaishouLaunchCampaign(KuaishouLaunchCampaign kuaishouLaunchCampaign);

    /**
     * 批量删除广告计划信息
     *
     * @param ids 需要删除的广告计划信息主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchCampaignByIds(String[] ids);

    /**
     * 删除广告计划信息信息
     *
     * @param id 广告计划信息主键
     * @return 结果
     */
    public int deleteKuaishouLaunchCampaignById(String id);

    ResultResponse getCampaignInfo(Long accountId, Long id, String level,String startTime,String endTime);

    KuaishouLaunchCampaign getOne(JSONObject parameter);
}